import os, sys, json

class HiddenPrints:
    def __enter__(self):
        self._original_stdout = sys.stdout
        self._original_stderr = sys.stderr

        sys.stdout = open(os.devnull, 'w')
        sys.stderr = open(os.devnull, 'w')

    def __exit__(self, exc_type, exc_val, exc_tb):
        sys.stdout.close()
        sys.stderr.close()
        sys.stdout = self._original_stdout
        sys.stderr = self._original_stderr

def print_json(data) -> str:
    return print_single_json(data) + ","

def print_single_json(data) -> str:
    return json.dumps(data, sort_keys=True)

def print_string(data: str) -> str:
    if data != "":
        return print_json(data)

def print_single_string(data: str) -> str:
    if data != "":
        return print_single_json(data)
